---
lang: en
title: 'API docs: express.middlewarechain'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/express
permalink: /doc/en/lb4/apidocs.express.middlewarechain.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/express](./express.md) &gt; [MiddlewareChain](./express.middlewarechain.md)

## MiddlewareChain class

An interceptor chain of middleware. This represents a list of cascading middleware functions to be executed by the order of `group` names.

**Signature:**

```typescript
export declare class MiddlewareChain extends GenericInterceptorChain<MiddlewareContext> 
```
**Extends:** [GenericInterceptorChain](./context.genericinterceptorchain.md)<!-- -->&lt;[MiddlewareContext](./express.middlewarecontext.md)<!-- -->&gt;


